# QMimeData Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QMimeData()

### Constructor Properties

- prototype: The QMimeData prototype object

### Prototype Object Properties

The QMimeData prototype object inherits properties from the QObject prototype object and also has the following properties.

- void clear()
- Object colorData()
- QByteArray data(String mimetype)
- List formats()
- bool hasColor()
- bool hasFormat(String mimetype)
- bool hasHtml()
- bool hasImage()
- bool hasText()
- bool hasUrls()
- String html()
- Object imageData()
- void removeFormat(String mimetype)
- void setColorData(Object color)
- void setData(String mimetype, QByteArray data)
- void setHtml(String html)
- void setImageData(Object image)
- void setText(String text)
- void setUrls(List urls)
- String text()
- List urls()

### Instance Properties

QMimeData objects have no special properties beyond those inherited from the QMimeData prototype object.